
{*******************************************************}
{                                                       }
{       Borland Delphi Visual Component Library         }
{                                                       }
{       Copyright (c) 1995,99 Inprise Corporation       }
{                                                       }
{*******************************************************}

unit Consts;

interface

resourcestring
  SOpenFileTitle = 'Abrir';
  SAssignError = 'Impossvel atribuir um %s para um %s';
  SFCreateError = 'Impossvel criar o arquivo %s';
  SFOpenError = 'Impossvel abrir o arquivo %s';
  SReadError = 'Erro ao ler fluxo (stream)';
  SWriteError = 'Erro ao escrever fluxo (stream)';
  SMemoryStreamError = 'Falta de memria ao expandir fluxo (stream) de memria';
  SCantWriteResourceStreamError = 'Impossvel escrever para um fluxo de recurso somente para leitura';
  SDuplicateReference = 'WriteObject pedindo a mesma instncia duas vezes';
  SClassNotFound = 'Classe %s no encontrada';

  SInvalidImage = 'Formato de fluxo (stream) invlido';
  SResNotFound = 'Recurso %s no encontrado';
  SClassMismatch = 'Recurso %s  de classe incorreta';
  SListIndexError = 'ndice da lista fora dos limites (%d)';
  SListCapacityError = 'Capacidade da lista fora dos limites (%d)';
  SListCountError = 'Contagem da lista fora dos limites (%d)';
  SSortedListError = 'Operao no permitida em lista ordenada de string';
  SDuplicateString = 'Lista de string no permite duplicao';
  SInvalidTabIndex = 'ndice Tab fora dos limites';
  SInvalidTabPosition = 'Posio Tab incompatvel com o estilo atual';
  SInvalidTabStyle = 'Estilo Tab incompatvel com a posio atual';
  SDuplicateName = 'Um componente com o nome %s j existe';
  SInvalidName = '''''%s'''' n  um nome vlido para componente';
  SDuplicateClass = 'Uma classe com o nome %s j existe';
  SNoComSupport = '%s no foi registrado como uma classe COM';

  SInvalidInteger = '''''%s'''' no  um nmero inteiro vlido';
  SLineTooLong = 'Linha muito longa';
  SInvalidPropertyValue = 'Valor da propriedade invlido';
  SInvalidPropertyPath = 'Caminho da propriedade invlido';
  SInvalidPropertyType = 'Tipo da propriedade invlido: %s';
  SInvalidPropertyElement = 'Elemente da propriedade invlido: %s';
  SUnknownProperty = 'Propriedade no existente';
  SReadOnlyProperty = 'Propriedade somente para leitura';
  SPropertyException = 'Erro lendo %s%s%s: %s';
  SAncestorNotFound = 'Ancestral para ''%s'' no encontrado';
  SInvalidBitmap = 'Imagem Bitmap invlida';
  SInvalidIcon = 'Imagem Icone invlioda';
  SInvalidMetafile = 'Meta-arquivo invlido';
  SInvalidPixelFormat = 'Formato do pixel (ponto) invlido';
  SBitmapEmpty = 'Bitmap est vazio';
  SScanLine = 'Scan line index out of range';
  SChangeIconSize = 'Impossvel alterar o tamanho de um cone';
  SOleGraphic = 'Operao invlida em TOleGraphic';
  SUnknownExtension = 'Extenso de figura desconhecida (.%s)';
  SUnknownClipboardFormat = 'Formato da rea de transferncia no suportado';
  SOutOfResources = 'Falta de recursos de sistema';
  SNoCanvasHandle = 'Canvas no permite desenhar';
  SInvalidImageSize = 'Tamanho da imagem invlido';
  STooManyImages = 'Muitas imagens';
  SDimsDoNotMatch = 'Image dimensions do not match image list dimensions';
  SInvalidImageList = 'ImageList invlido';
  SReplaceImage = 'Impossibilidade para substituir imagem';
  SImageIndexError = 'ndicee de ImageList invlido';
  SImageReadFail = 'Failed to read ImageList data from stream';
  SImageWriteFail = 'Failed to write ImageList data to stream';
  SWindowDCError = 'Erro criando o contexto do dispositivo janela';
  SClientNotSet = 'Cliente de TDrag no inicializado';
  SWindowClass = 'Erro criando classe janela';
  SWindowCreate = 'Erro criando janela';
  SCannotFocus = 'Impossvel focalizar uma janela invisvel ou desabilitada';
  SParentRequired = 'Controle ''%s'' no possui janela pai';
  SMDIChildNotVisible = 'Impossvel ocultar um formulrio MDI filho';
  SVisibleChanged = 'Impossvel alterar Visible em OnShow ou OnHide';
  SCannotShowModal = 'Impossvel marcar uma janela visvel como modal';
  SScrollBarRange = 'Scrollbar property out of range';
  SPropertyOutOfRange = '%s property out of range';
  SMenuIndexError = 'Menu index out of range';
  SMenuReinserted = 'Menu inserted twice';
  SMenuNotFound = 'Sub-menu no est no menu';
  SNoTimers = 'Not enough timers available';
  SNotPrinting = 'A impressora no est atualmente imprimindo';
  SPrinting = 'Impresso em progresso';
  SPrinterIndexError = 'ndice da impressora fora da faixa';
  SInvalidPrinter = 'Impressora selecionada no  vlida';
  SDeviceOnPort = '%s em %s';
  SGroupIndexTooLow = 'GroupIndex cannot be less than a previous menu item''s GroupIndex';
  STwoMDIForms = 'Impossvel haver mais de um formulrio MDI por aplicao';
  SNoMDIForm = 'Impossvel criar formulrio. Nenhum formulrio MDI atualmente ativo';
  SRegisterError = 'Invalid component registration';
  SImageCanvasNeedsBitmap = 'Can only modify an image if it contains a bitmap';
  SControlParentSetToSelf = 'A control cannot have itself as its parent';
  SOKButton = 'OK';
  SCancelButton = 'Cancelar';
  SYesButton = '&Sim';
  SNoButton = '&No';
  SHelpButton = '&Ajuda';
  SCloseButton = '&Fechar';
  SIgnoreButton = '&Ignorar';
  SRetryButton = '&Repetir';
  SAbortButton = 'Abortar';
  SAllButton = '&Todos';

  SCannotDragForm = 'Cannot drag a form';
  SPutObjectError = 'PutObject to undefined item';
  SCardDLLNotLoaded = 'Could not load CARDS.DLL';
  SDuplicateCardId = 'Duplicate CardId found';

  SDdeErr = 'An error returned from DDE  ($0%x)';
  SDdeConvErr = 'DDE Error - conversation not established ($0%x)';
  SDdeMemErr = 'Error occurred when DDE ran out of memory ($0%x)';
  SDdeNoConnect = 'Unable to connect DDE conversation';

  SFB = 'FB';
  SFG = 'FG';
  SBG = 'BG';
  SOldTShape = 'Cannot load older version of TShape';
  SVMetafiles = 'Metafiles';
  SVEnhMetafiles = 'Enhanced Metafiles';
  SVIcons = 'Icons';
  SVBitmaps = 'Bitmaps';
  SGridTooLarge = 'Grid too large for operation';
  STooManyDeleted = 'Too many rows or columns deleted';
  SIndexOutOfRange = 'Grid index out of range';
  SFixedColTooBig = 'Fixed column count must be less than column count';
  SFixedRowTooBig = 'Fixed row count must be less than row count';
  SInvalidStringGridOp = 'Cannot insert or delete rows from grid';
  SParseError = '%s na linha %d';
  SIdentifierExpected = 'Identifier expected';
  SStringExpected = 'String expected';
  SNumberExpected = 'Number expected';
  SCharExpected = '''''%s'''' expected';
  SSymbolExpected = '%s expected';
  SInvalidNumber = 'Valor numrico invlido';
  SInvalidString = 'Constante string invlida';
  SInvalidProperty = 'Invalid property value';
  SInvalidBinary = 'Invalid binary value';
  SOutlineIndexError = 'Outline index not found';
  SOutlineExpandError = 'Parent must be expanded';
  SInvalidCurrentItem = 'Invalid value for current item';
  SMaskErr = 'Invalid input value';
  SMaskEditErr = 'Invalid input value.  Use escape key to abandon changes';
  SOutlineError = 'Invalid outline index';
  SOutlineBadLevel = 'Incorrect level assignment';
  SOutlineSelection = 'Invalid selection';
  SOutlineFileLoad = 'File load error';
  SOutlineLongLine = 'Line too long';
  SOutlineMaxLevels = 'Maximum outline depth exceeded';

  SMsgDlgWarning = 'Ateno';
  SMsgDlgError = 'Erro';
  SMsgDlgInformation = 'Informao';
  SMsgDlgConfirm = 'Confirmao';
  SMsgDlgYes = '&Sim';
  SMsgDlgNo = '&No';
  SMsgDlgOK = 'OK';
  SMsgDlgCancel = 'Cancelar';
  SMsgDlgHelp = '&Ajuda';
  SMsgDlgHelpNone = 'Ajuda no disponvel';
  SMsgDlgHelpHelp = 'Ajuda';
  SMsgDlgAbort = '&Abortar';
  SMsgDlgRetry = '&Repetir';
  SMsgDlgIgnore = '&Ignorar';
  SMsgDlgAll = '&Todos';
  SMsgDlgNoToAll = 'N&o para todos';
  SMsgDlgYesToAll = 'Si&m para todos';

  SmkcBkSp = 'BkSp';
  SmkcTab = 'Tab';
  SmkcEsc = 'Esc';
  SmkcEnter = 'Enter';
  SmkcSpace = 'Space';
  SmkcPgUp = 'PgUp';
  SmkcPgDn = 'PgDn';
  SmkcEnd = 'End';
  SmkcHome = 'Home';
  SmkcLeft = 'Left';
  SmkcUp = 'Up';
  SmkcRight = 'Right';
  SmkcDown = 'Down';
  SmkcIns = 'Ins';
  SmkcDel = 'Del';
  SmkcShift = 'Shift+';
  SmkcCtrl = 'Ctrl+';
  SmkcAlt = 'Alt+';

  srUnknown = '(Unknown)';
  srNone = '(None)';
  SOutOfRange = 'Value must be between %d and %d';
  SCannotCreateName = 'Cannot create a default method name for an unnamed component';

  SDateEncodeError = 'Invalid argument to date encode';
  STimeEncodeError = 'Invalid argument to time encode';
  SInvalidDate = '''''%s'''' no  uma data vlida';
  SInvalidTime = '''''%s'''' no  hora vlida';
  SInvalidDateTime = '''''%s'''' no  data/hora vlida';
  SInvalidFileName = 'Nome de arquivo invlido - %s';
  SDefaultFilter = 'Todos os arquivos (*.*)|*.*';
  sAllFilter = 'Todos';
  SNoVolumeLabel = ': [ - sem nome de volume - ]';
  SInsertLineError = 'Unable to insert a line';

  SConfirmCreateDir = 'The specified directory does not exist. Create it?';
  SSelectDirCap = 'Seleo de Diretrio';
  SCannotCreateDir = 'Impossvel criar diretrio';
  SDirNameCap = '&Nome do Diretrio:';
  SDrivesCap = 'D&rives:';
  SDirsCap = '&Diretrios:';
  SFilesCap = '&Arquivos: (*.*)';
  SNetworkCap = '&Rede...';

//  SColorPrefix = 'Color';               //!! obsolete - delete in 5.0
//  SColorTags = 'ABCDEFGHIJKLMNOP';      //!! obsolete - delete in 5.0

  SInvalidClipFmt = 'Formato da rea de transaferncia invlido';
  SIconToClipboard = 'rea de transferncia no suporta cones';
  SCannotOpenClipboard = 'Impossvel abrir rea de transferncia';

  SDefault = 'Default';

  SInvalidMemoSize = 'Text exceeds memo capacity';
  SCustomColors = 'Custom Colors';
  SInvalidPrinterOp = 'Operao no suportada na impressora selecionada';
  SNoDefaultPrinter = 'Nenhuma impressora padro selecionada atualmente';

  SIniFileWriteError = 'Unable to write to %s';

  SBitsIndexError = 'Bits index out of range';

  SUntitled = '(Untitled)';

  SInvalidRegType = 'Invalid data type for ''%s''';
  SRegCreateFailed = 'Failed to create key %s';
  SRegSetDataFailed = 'Failed to set data for ''%s''';
  SRegGetDataFailed = 'Failed to get data for ''%s''';

  SUnknownConversion = 'Unknown RichEdit conversion file extension (.%s)';
  SDuplicateMenus = 'Menu ''%s'' is already being used by another form';

  SPictureLabel = 'Picture:';
  SPictureDesc = ' (%dx%d)';
  SPreviewLabel = 'Preview';

  SCannotOpenAVI = 'Cannot open AVI';

  SNotOpenErr = 'No MCI device open';
  SMPOpenFilter = 'All files (*.*)|*.*|Wave files (*.wav)|*.wav|Midi files (*.mid)|*.mid|Video for Windows (*.avi)|*.avi';
  SMCINil = '';
  SMCIAVIVideo = 'AVIVideo';
  SMCICDAudio = 'CDAudio';
  SMCIDAT = 'DAT';
  SMCIDigitalVideo = 'DigitalVideo';
  SMCIMMMovie = 'MMMovie';
  SMCIOther = 'Other';
  SMCIOverlay = 'Overlay';
  SMCIScanner = 'Scanner';
  SMCISequencer = 'Sequencer';
  SMCIVCR = 'VCR';
  SMCIVideodisc = 'Videodisc';
  SMCIWaveAudio = 'WaveAudio';
  SMCIUnknownError = 'Unknown error code';

  SBoldItalicFont = 'Bold Italic';
  SBoldFont = 'Bold';
  SItalicFont = 'Italic';
  SRegularFont = 'Regular';

  SPropertiesVerb = 'Properties';

  sWindowsSocketError = 'Windows socket error: %s (%d), on API ''%s''';
  sAsyncSocketError = 'Asynchronous socket error %d';
  sNoAddress = 'No address specified';
  sCannotListenOnOpen = 'Can''t listen on an open socket';
  sCannotCreateSocket = 'Can''t create new socket';
  sSocketAlreadyOpen = 'Socket already open';
  sCantChangeWhileActive = 'Can''t change value while socket is active';
  sSocketMustBeBlocking = 'Socket must be in blocking mode';
  sSocketIOError = '%s error %d, %s';
  sSocketRead = 'Read';
  sSocketWrite = 'Write';

  SServiceFailed = 'Service failed on %s: %s';
  SExecute = 'execute';
  SStart = 'start';
  SStop = 'stop';
  SPause = 'pause';
  SContinue = 'continue';
  SInterrogate = 'interrogate';
  SShutdown = 'shutdown';
  SCustomError = 'Service failed in custom message(%d): %s';
  SServiceInstallOK = 'Service installed successfully';
  SServiceInstallFailed = 'Service "%s" failed to install with error: "%s"';
  SServiceUninstallOK = 'Service uninstalled successfully';
  SServiceUninstallFailed = 'Service "%s" failed to uninstall with error: "%s"';

  SInvalidActionRegistration = 'Invalid action registration';
  SInvalidActionUnregistration = 'Invalid action unregistration';
  SInvalidActionEnumeration = 'Invalid action enumeration';
  SInvalidActionCreation = 'Invalid action creation';
  
  SDockedCtlNeedsName = 'Docked control must have a name';
  SDockTreeRemoveError = 'Error removing control from dock tree';
  SDockZoneNotFound = ' - Dock zone not found';
  SDockZoneHasNoCtl = ' - Dock zone has no control';

  SAllCommands = 'All Commands';

  SDuplicateItem = 'List does not allow duplicates ($0%x)';

  SDuplicatePropertyCategory = 'A property category called %s already exists';
  SUnknownPropertyCategory = 'Property category does not exist (%s)';

  SActionCategoryName = 'Action';
  SActionCategoryDesc = 'Action properties and/or events';
  SDataCategoryName = 'Data';
  SDataCategoryDesc = 'Data properties and/or events';
  SDatabaseCategoryName = 'Database';
  SDatabaseCategoryDesc = 'Database and Data Aware properties and/or events';
  SDragNDropCategoryName = 'Drag, Drop and Docking';
  SDragNDropCategoryDesc = 'Drag, Drop and Docking properties and/or events';
  SHelpCategoryName = 'Help and Hints';
  SHelpCategoryDesc = 'Help and Hint properties and/or events';
  SLayoutCategoryName = 'Layout';
  SLayoutCategoryDesc = 'Layout properties and/or events';
  SLegacyCategoryName = 'Legacy';
  SLegacyCategoryDesc = 'Legacy properties and/or events';
  SLinkageCategoryName = 'Linkage';
  SLinkageCategoryDesc = 'Linkage properties and/or events';
  SLocaleCategoryName = 'Locale';
  SLocaleCategoryDesc = 'Locale properties and/or events';
  SLocalizableCategoryName = 'Localizable';
  SLocalizableCategoryDesc = 'Localizable properties and/or events';
  SMiscellaneousCategoryName = 'Miscellaneous';
  SMiscellaneousCategoryDesc = 'Miscellaneous properties and/or events';
  SVisualCategoryName = 'Visual';
  SVisualCategoryDesc = 'Visual properties and/or events';
  SInputCategoryName = 'Input';
  SInputCategoryDesc = 'Input properties and/or events';

  SInvalidMask = '''%s'' is an invalid mask at (%d)';
  SInvalidFilter = 'Property filters may only be name, class or type based (%d:%d)';
  SInvalidCategory = 'Categories must define their own name and description';

  sOperationNotAllowed = 'Operation not allowed while dispatching application events';

implementation

end.
